pmlgrep(1)

NAME
pmlgrep - provides a grep-like utility for PhotoML files

SYNOPSIS
pmlgrep [-h] [-e] [-p] [-x xpath] [-s regex] ... [-s regex] xmlfile [xmlfile] ...

DESCRIPTION
pmlgrep is a shell script that supports the use of xgrep on PhotoML files.

OPTIONS
pmlgrep accepts the following options:

-h  Display usage information.

-e  Expand defaults before searching.

-p  Use perl regular expressions.

-x xpath
    Find nodes matching xpath.

-s regex
    Find nodes matching custom syntax used by xgrep.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2003-2007 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
pmlexpand(1), xgrep(1)